Bug 39176 - swapoff -a is broken in mount-2.11b-3
Summary: swapoff -a is broken in mount-2.11b-3
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-05 02:20 UTC by Ed McKenzie
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-05 02:21:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ed McKenzie 2001-05-05 02:20:58 UTC
Description of Problem:
swapoff -a doesn't unmount all swap partitions, as expected.

How Reproducible:
100%

Steps to Reproduce:
[root@nebulascape /root]# swapon /dev/hdg4
[root@nebulascape /root]# swapon -s
Filename
		Type		Size	Used	Priority
/dev/hdg4                       partition	370936	0	-2
[root@nebulascape /root]# swapoff -a
[root@nebulascape /root]# swapon -s
Filename
		Type		Size	Used	Priority
/dev/hdg4                       partition	370936	0	-2
[root@nebulascape /root]# swapoff /dev/hdg4
[root@nebulascape /root]# swapon -s
Filename
		Type		Size	Used	Priority
[root@nebulascape /root]#   
[root@nebulascape /root]# swapon -a
[root@nebulascape /root]# swapon -s
Filename
		Type		Size	Used	Priority
/dev/hdg4                       partition	370936	0	-3
[root@nebulascape /root]# 

Actual Results:
swapoff -a should free all swap space.

Expected Results:
swapoff -a has no effect.

Additional Information:

Comment 1 Bernhard Rosenkraenzer 2001-05-06 18:08:16 UTC
Fixed in 2.11b-4



Note You need to log in before you can comment on or make changes to this bug.